import { defineComponent as d, mergeModels as s, useModel as a, computed as p, createBlock as r, openBlock as m, unref as u, mergeProps as c } from "vue";
import { a as f } from "./start-CE9SawgU.js";
import "vue-i18n";
import "pinia";
import "./header-Bn1EKnBE.js";
const x = /* @__PURE__ */ d({
  __name: "SettingSelect",
  props: /* @__PURE__ */ s({
    modelValue: {},
    data: {},
    options: {},
    settings: {},
    loading: { type: Boolean },
    readonly: { type: Boolean },
    isDefault: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {},
    valid: { type: Boolean, default: !0 },
    validModifiers: {}
  }),
  emits: ["update:modelValue", "update:valid"],
  setup(o) {
    const e = o, t = a(o, "modelValue");
    a(o, "valid");
    const n = p(() => ({
      label: e.options?.label,
      hint: e.options?.helperText,
      style: e.options?.width ? { width: e.options.width } : "",
      persistentHint: !!e.options?.helperText,
      readonly: e.readonly,
      loading: e.loading,
      items: e.options?.elementVariants ?? []
    }));
    return (V, l) => (m(), r(u(f), c({
      modelValue: t.value,
      "onUpdate:modelValue": l[0] || (l[0] = (i) => t.value = i)
    }, n.value), null, 16, ["modelValue"]));
  }
});
export {
  x as default
};
